Bug 87676 - TOOLBAR: Hiding 'line and filling', 'text formatting' and image toolbars by default
Summary: TOOLBAR: Hiding 'line and filling', 'text formatting' and image toolbars by d...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Yousuf Philips (jay)
QA Contact:
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks: ImpressDraw-Toolbars Impress-UX
  Show dependency treegraph
 
Reported: 2014-12-24 10:10 UTC by Yousuf Philips (jay)
Modified: 2017-11-15 17:05 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Keep text formatting toolbar always visible (1.33 MB, audio/webm)
2015-10-30 20:53 UTC, pranjit
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-12-24 10:10:21 UTC
By disabling by default the 'line and filling' and 'text formatting' toolbars, this increases the available space available to viewing the slide, which also simplifies the UI. All features available in these two toolbars are present in the properties tab of the sidebar as well as in the context menu, so there are many advantages to having these hidden by default.
Comment 1 Cor Nouws 2014-12-24 10:49:08 UTC
The formatting tool bars are always visible by default.
Depending on the state, they sort of change appearance. See the discussion with Object.

I advise against changing this.
Comment 2 Yousuf Philips (jay) 2014-12-28 12:12:15 UTC
(In reply to Cor Nouws from comment #1)
> The formatting tool bars are always visible by default.
> Depending on the state, they sort of change appearance.

Yes the object, image, and formatting toolbars hide and unhide depending on context.

> See the discussion with Object.

Didnt understand this part.
Comment 3 Cor Nouws 2014-12-28 21:55:16 UTC
(In reply to Jay Philips from comment #2)
> (In reply to Cor Nouws from comment #1)

> > See the discussion with Object.
> 
> Didnt understand this part.

There was an issue with a weird idea (INMSHO) to ripp the formatting toolbar when an object is selected and change others to replace that :D
Comment 4 Cor Nouws 2015-01-18 11:04:33 UTC
(In reply to Jay Philips from comment #2)

> Yes the object, image, and formatting toolbars hide and unhide depending on
> context.

Indeed, it are only three here.
But with removing two, we would accept the slide area shifting down when an image becomes selected.
Is that worth the gain? I would expect people working with images would be annoyed.
Or is the plan to remove that one too (is all the stuff from the images toolbar to the side bar?) ?


(Now I see that when a frame is selected, the side bar has the character and paragraph parts of the panel active and not the area and line. Must be for another issue?)
Comment 5 Yousuf Philips (jay) 2015-01-19 20:41:21 UTC
(In reply to Cor Nouws from comment #4)
> Is that worth the gain? I would expect people working with images would be
> annoyed.

Yes its about streamlining the UI, as the the properties tab of the sidebar has most, if not all, features available in the 3 toolbars.

> Or is the plan to remove that one too (is all the stuff from the images
> toolbar to the side bar?) ?

Yes the image toolbar would also be hidden as well.

> (Now I see that when a frame is selected, the side bar has the character and
> paragraph parts of the panel active and not the area and line. Must be for
> another issue?)

When you say 'frame', do you mean textbox?
Comment 6 Yousuf Philips (jay) 2015-02-19 08:19:02 UTC
Patch is in - https://gerrit.libreoffice.org/#/c/14550/
Comment 7 Commit Notification 2015-02-19 11:31:44 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a1a686eab9bdfb20b0476b1a61ace8134974c4a

tdf#87676 hide object, text and image toolbars by default

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Mike §chinagl 2015-05-21 16:04:10 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Rearrangement of toolbars in Impress tdf#87676 (Yousuf Philips)
Comment 9 pranjit 2015-10-30 20:53:03 UTC
Created attachment 120123 [details]
Keep text formatting toolbar always visible

Sirs and Madams, Please kindly undo the appearing and disappearing "text formatting toolbar" trick LO impress. It is very distracting. Earlier it was very good. "text formatting toolbar" always remained visible. now with selection of text box, the slides make a downward or upward dance, which is not needed at all. We all could do without that 1 cm of real space. I have used keynote, MS office and LO. I have liked LO the most. But maybe this dance of slides upward and downward will drive me away from LO again. And maybe again I will be disappointed in other office suites and come back to LO. I am a laymen user. I mainly use Impress for presentations and calc for spreadsheet. Please if you like this disappearing and reappearing "text formatting toolbar", Please give us an option to permanently enable/Make   "text formatting toolbar"  always visible. Please . Always grateful.
Comment 10 Yousuf Philips (jay) 2015-10-30 22:32:55 UTC
Hi pranjit

Thank you for the screencast. If you'd like it to work similar to how it was before this change, simple enable the 'Line and Filling' toolbar when the 'Text Formatting' toolbar is hidden. You can do this in the View > Toolbar submenu.